Package uk.ac.starlink.topcat.activate

## Class AbstractActivatorConfigurator

- java.lang.Object
- - uk.ac.starlink.topcat.activate.AbstractActivatorConfigurator

- All Implemented Interfaces:
    `ActivatorConfigurator`
  Direct Known Subclasses:
    `SkyPosConfigurator`, `UrlColumnConfigurator`

      public abstract class AbstractActivatorConfigurator
      extends java.lang.Object
      implements ActivatorConfigurator

  Skeleton implementation of ActivatorConfigurator.
  Since:
    29 Jan 2018
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractActivatorConfigurator​(javax.swing.JComponent panel)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addActionListener​(java.awt.event.ActionListener l)` | Adds a listener that will be informed when the GUI state changes in such a way that the result of `getActivator` or `getConfigMessage` may change.
    `static javax.swing.JTextField` | `createDisplayField()` | Utility method to add an uneditable JTextField for displaying text.
    `static javax.swing.JLabel` | `createDisplayLabel()` | Utility method to add a JLabel for displaying text.
    `protected ActionForwarder` | `getActionForwarder()` | Returns the action forwarder which should be added as a listener to any GUI components that can affect the configuration.
    `javax.swing.JComponent` | `getPanel()` | Returns the panel supplied at construction time.
    `void` | `removeActionListener​(java.awt.event.ActionListener l)` | Removes a previously added listener.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.topcat.activate.ActivatorConfigurator

      `getActivator, getConfigMessage, getSafety, getState, setState`

- - ### Constructor Detail

    - #### AbstractActivatorConfigurator

          protected AbstractActivatorConfigurator​(javax.swing.JComponent panel)

      Constructor.
      Parameters:
        `panel` - configuration panel

  - ### Method Detail

    - #### getPanel

          public javax.swing.JComponent getPanel()

      Returns the panel supplied at construction time.
      Specified by:
        `getPanel` in interface `ActivatorConfigurator`
      Returns:
        configuration panel

    - #### addActionListener

          public void addActionListener​(java.awt.event.ActionListener l)

      Description copied from interface: `ActivatorConfigurator`
      Adds a listener that will be informed when the GUI state changes in such a way that the result of `getActivator` or `getConfigMessage` may change.
      Specified by:
        `addActionListener` in interface `ActivatorConfigurator`
      Parameters:
        `l` - listener to add

    - #### removeActionListener

          public void removeActionListener​(java.awt.event.ActionListener l)

      Description copied from interface: `ActivatorConfigurator`
      Removes a previously added listener.
      Specified by:
        `removeActionListener` in interface `ActivatorConfigurator`
      Parameters:
        `l` - listener to remove

    - #### getActionForwarder

          protected ActionForwarder getActionForwarder()

      Returns the action forwarder which should be added as a listener to any GUI components that can affect the configuration.
      Returns:
        forwarder

    - #### createDisplayField

          public static javax.swing.JTextField createDisplayField()

      Utility method to add an uneditable JTextField for displaying text. This is quite like a JLabel, but the text can be cut'n'pasted.
      Returns:
        new text field

    - #### createDisplayLabel

          public static javax.swing.JLabel createDisplayLabel()

      Utility method to add a JLabel for displaying text.
      Returns:
        new label